## r-cran-tidyr 0.4.1

=== DESCRIPTION ===
Package: tidyr
Title: Easily Tidy Data with `spread()` and `gather()` Functions
Version: 0.4.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("RStudio", role = "cph")
    )
Description: An evolution of 'reshape2'. It's designed specifically for data
    tidying (not general reshaping or aggregating) and works well with
    'dplyr' data pipelines.
Depends: R (>= 3.1.0)
License: MIT + file LICENSE
LazyData: true
Imports: dplyr (>= 0.4), stringi, lazyeval, magrittr, Rcpp
URL: https://github.com/hadley/tidyr
BugReports: https://github.com/hadley/tidyr/issues
Suggests: knitr, testthat, data.table, covr, gapminder, rmarkdown
VignetteBuilder: knitr
LinkingTo: Rcpp
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-02-05 17:08:15 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2016-02-05 21:46:58

=== debian/changelog ===
r-cran-tidyr (0.4.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2016 21:03:05 +0200

r-cran-tidyr (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #820316)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Apr 2016 13:41:49 +0200

=== debian/control ===
Source: r-cran-tidyr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-rcpp (>= 0.12.4),
               r-cran-assertthat,
               r-cran-stringi,
               r-cran-lazyeval,
               r-cran-magrittr,
               r-cran-dplyr,
               r-cran-r6
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-tidyr/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-tidyr/trunk/
Homepage: https://cran.r-project.org/web/packages/tidyr/

Package: r-cran-tidyr
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends},
         r-cran-assertthat,
         r-cran-stringi,
         r-cran-lazyeval,
         r-cran-magrittr,
         r-cran-dplyr,
         r-cran-r6
Description: GNU R package to easily tidy data
 GNU R package to easily tidy data with 'spread()' and 'gather()'
 functions.
 .
 An evolution of 'reshape2'. It's designed specifically for data tidying
 (not general reshaping or aggregating) and works well with 'dplyr' data
 pipelines.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/tidyr_([-0-9\.]*).tar.gz

## r-cran-tidyr 0.6.1

=== debian/changelog ===
r-cran-tidyr (0.6.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2017 13:35:36 +0100

r-cran-tidyr (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Wed, 09 Nov 2016 17:34:09 +0100

=== debian/control ===
Source: r-cran-tidyr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-assertthat,
               r-cran-stringi,
               r-cran-lazyeval,
               r-cran-magrittr,
               r-cran-dplyr,
               r-cran-r6
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-tidyr/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-tidyr/trunk/
Homepage: https://cran.r-project.org/package=tidyr

Package: r-cran-tidyr
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package to easily tidy data
 GNU R package to easily tidy data with 'spread()' and 'gather()'
 functions.
 .
 An evolution of 'reshape2'. It's designed specifically for data tidying
 (not general reshaping or aggregating) and works well with 'dplyr' data
 pipelines.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/tidyr_([-0-9\.]*).tar.gz

## r-cran-tidyr 0.7.1

=== DESCRIPTION ===
Package: tidyr
Title: Easily Tidy Data with 'spread()' and 'gather()' Functions
Version: 0.7.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("Lionel", "Henry", , "lionel@rstudio.com", "aut"),
    person("RStudio", role = "cph")
    )
Description: An evolution of 'reshape2'. It's designed specifically for data
    tidying (not general reshaping or aggregating) and works well with
    'dplyr' data pipelines.
Depends: R (>= 3.1.0)
License: MIT + file LICENSE
LazyData: true
Imports: dplyr (>= 0.7.0), glue, magrittr, purrr, rlang, Rcpp, stringi,
        tibble, tidyselect
URL: http://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
BugReports: https://github.com/tidyverse/tidyr/issues
Suggests: knitr, testthat, covr, gapminder, rmarkdown
VignetteBuilder: knitr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-08-24 14:15:41 UTC; lionel
Author: Hadley Wickham [aut, cre],
  Lionel Henry [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2017-09-01 15:15:47 UTC

=== debian/changelog ===
r-cran-tidyr (0.7.1-2) unstable; urgency=medium

  * Fix autopkgtests: create test tibbles with tibble()
                      use dplyr::select and dplyr::arrange

 -- Graham Inggs <ginggs@debian.org>  Fri, 24 Nov 2017 15:21:35 +0000

r-cran-tidyr (0.7.1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * New Build-Depends: r-cran-purrr, r-cran-tidyselect
  * Secure watch file
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Thu, 23 Nov 2017 22:46:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,12 @@
                r-cran-lazyeval,
                r-cran-magrittr,
                r-cran-dplyr,
-               r-cran-r6
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-tidyr/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-tidyr/trunk/
+               r-cran-r6,
+               r-cran-purrr,
+               r-cran-tidyselect
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-tidyr.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr
 
 Package: r-cran-tidyr

## r-cran-tidyr 0.7.2

=== debian/changelog ===
r-cran-tidyr (0.7.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2018 15:19:33 +0100

r-cran-tidyr (0.7.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #884221
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2017 23:28:01 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-r6,
                r-cran-purrr,
                r-cran-tidyselect
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-tidyr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr

## r-cran-tidyr 0.8.0

=== DESCRIPTION ===
Package: tidyr
Title: Easily Tidy Data with 'spread()' and 'gather()' Functions
Version: 0.8.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("Lionel", "Henry", , "lionel@rstudio.com", "aut"),
    person("RStudio", role = "cph")
    )
Description: An evolution of 'reshape2'. It's designed specifically for data
    tidying (not general reshaping or aggregating) and works well with
    'dplyr' data pipelines.
License: MIT + file LICENSE
URL: http://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
BugReports: https://github.com/tidyverse/tidyr/issues
Depends: R (>= 3.2)
Imports: dplyr (>= 0.7.0), glue, magrittr, purrr, Rcpp, rlang, stringi,
        tibble, tidyselect
Suggests: covr, gapminder, knitr, rmarkdown, testthat
LinkingTo: Rcpp
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-01-29 15:47:05 UTC; hadley
Author: Hadley Wickham [aut, cre],
  Lionel Henry [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2018-01-29 19:33:39 UTC

=== debian/changelog ===
r-cran-tidyr (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 23:07:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
@@ -15,7 +15,7 @@
                r-cran-r6,
                r-cran-purrr,
                r-cran-tidyselect
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-tidyr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr

## r-cran-tidyr 0.8.1

=== debian/changelog ===
r-cran-tidyr (0.8.1-1build1) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 02 Jun 2018 09:25:08 +0000

r-cran-tidyr (0.8.1-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 22 May 2018 09:37:27 +0200

=== debian/control ===
Source: r-cran-tidyr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-dplyr (>= 0.7.0),
               r-cran-glue,
               r-cran-magrittr,
               r-cran-purrr,
               r-cran-rcpp,
               r-cran-rlang,
               r-cran-stringi,
               r-cran-tibble,
               r-cran-tidyselect
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
Homepage: https://cran.r-project.org/package=tidyr

Package: r-cran-tidyr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package to easily tidy data
 GNU R package to easily tidy data with 'spread()' and 'gather()'
 functions.
 .
 An evolution of 'reshape2'. It's designed specifically for data tidying
 (not general reshaping or aggregating) and works well with 'dplyr' data
 pipelines.

## r-cran-tidyr 0.8.2

=== DESCRIPTION ===
Package: tidyr
Title: Easily Tidy Data with 'spread()' and 'gather()' Functions
Version: 0.8.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("Lionel", "Henry", , "lionel@rstudio.com", "aut"),
    person("RStudio", role = "cph")
    )
Description: An evolution of 'reshape2'. It's designed specifically for data
    tidying (not general reshaping or aggregating) and works well with
    'dplyr' data pipelines.
License: MIT + file LICENSE
URL: http://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
BugReports: https://github.com/tidyverse/tidyr/issues
Encoding: UTF-8
Depends: R (>= 3.1)
Imports: dplyr (>= 0.7.0), glue, magrittr, purrr, Rcpp, rlang, stringi,
        tibble, tidyselect (>= 0.2.5)
Suggests: covr, gapminder, knitr, rmarkdown, testthat
LinkingTo: Rcpp
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 6.1.0
NeedsCompilation: yes
Packaged: 2018-10-26 21:05:55 UTC; hadley
Author: Hadley Wickham [aut, cre],
  Lionel Henry [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2018-10-28 17:20:03 UTC

=== debian/changelog ===
r-cran-tidyr (0.8.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 10:49:36 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                r-cran-rlang,
                r-cran-stringi,
                r-cran-tibble,
-               r-cran-tidyselect
-Standards-Version: 4.1.4
+               r-cran-tidyselect (>= 0.2.5)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr

## r-cran-tidyr 0.8.3

=== debian/changelog ===
r-cran-tidyr (0.8.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 21:08:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-dplyr (>= 0.7.0),
@@ -14,8 +14,8 @@
                r-cran-rlang,
                r-cran-stringi,
                r-cran-tibble,
-               r-cran-tidyselect (>= 0.2.5)
-Standards-Version: 4.2.1
+               r-cran-tidyselect
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr

## r-cran-tidyr 1.0.2

=== DESCRIPTION ===
Package: tidyr
Title: Tidy Messy Data
Version: 1.0.2
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "Lionel",
             family = "Henry",
             role = "aut",
             email = "lionel@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Tools to help to create tidy data, where each column is a 
    variable, each row is an observation, and each cell contains a single value.  
    'tidyr' contains tools for changing the shape (pivoting) and hierarchy
    (nesting and 'unnesting') of a dataset, turning deeply nested lists
    into rectangular data frames ('rectangling'), and extracting values out 
    of string columns. It also includes tools for working with missing values 
    (both implicit and explicit).
License: MIT + file LICENSE
URL: https://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
BugReports: https://github.com/tidyverse/tidyr/issues
Depends: R (>= 3.1)
Imports: dplyr (>= 0.8.2), ellipsis (>= 0.1.0), glue, magrittr, purrr,
        Rcpp, rlang, stringi, tibble (>= 2.1.1), tidyselect (>= 0.2.5),
        utils, vctrs (>= 0.2.0), lifecycle
Suggests: covr, jsonlite, knitr, repurrrsive (>= 1.0.0), rmarkdown,
        readr, testthat (>= 2.1.0)
LinkingTo: Rcpp
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2020-01-23 18:01:01 UTC; hadley
Author: Hadley Wickham [aut, cre],
  Lionel Henry [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2020-01-24 14:30:02 UTC

=== debian/changelog ===
r-cran-tidyr (1.0.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:34 +0100

r-cran-tidyr (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2020 11:56:53 +0100

r-cran-tidyr (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * dh-update-R to update Build-Depends
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 11:08:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-dplyr (>= 0.7.0),
+               r-cran-dplyr (>= 0.8.2),
+               r-cran-ellipsis,
                r-cran-glue,
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rcpp,
                r-cran-rlang,
                r-cran-stringi,
-               r-cran-tibble,
-               r-cran-tidyselect
-Standards-Version: 4.3.0
+               r-cran-tibble (>= 2.1.1),
+               r-cran-tidyselect,
+               r-cran-vctrs,
+               r-cran-lifecycle
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr

## r-cran-tidyr 1.1.0

=== debian/changelog ===
r-cran-tidyr (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jun 2020 09:45:37 +0200

r-cran-tidyr (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 May 2020 08:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -15,13 +16,14 @@
                r-cran-rlang,
                r-cran-stringi,
                r-cran-tibble (>= 2.1.1),
-               r-cran-tidyselect,
+               r-cran-tidyselect (>= 1.1.0),
                r-cran-vctrs,
                r-cran-lifecycle
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr
+Rules-Requires-Root: no
 
 Package: r-cran-tidyr
 Architecture: any

## r-cran-tidyr 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,11 @@
 Package: tidyr
 Title: Tidy Messy Data
-Version: 1.0.2
+Version: 1.1.2
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
              role = c("aut", "cre"),
              email = "hadley@rstudio.com"),
-      person(given = "Lionel",
-             family = "Henry",
-             role = "aut",
-             email = "lionel@rstudio.com"),
       person(given = "RStudio",
              role = "cph"))
 Description: Tools to help to create tidy data, where each column is a 
@@ -24,20 +20,20 @@
 BugReports: https://github.com/tidyverse/tidyr/issues
 Depends: R (>= 3.1)
 Imports: dplyr (>= 0.8.2), ellipsis (>= 0.1.0), glue, magrittr, purrr,
-        Rcpp, rlang, stringi, tibble (>= 2.1.1), tidyselect (>= 0.2.5),
-        utils, vctrs (>= 0.2.0), lifecycle
+        rlang, tibble (>= 2.1.1), tidyselect (>= 1.1.0), utils, vctrs
+        (>= 0.3.0), lifecycle
 Suggests: covr, jsonlite, knitr, repurrrsive (>= 1.0.0), rmarkdown,
         readr, testthat (>= 2.1.0)
-LinkingTo: Rcpp
+LinkingTo: cpp11 (>= 0.2.1)
 VignetteBuilder: knitr
+SystemRequirements: C++11
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2020-01-23 18:01:01 UTC; hadley
+Packaged: 2020-08-26 15:43:09 UTC; hadley
 Author: Hadley Wickham [aut, cre],
-  Lionel Henry [aut],
   RStudio [cph]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-01-24 14:30:02 UTC
+Date/Publication: 2020-08-27 12:20:02 UTC

=== debian/changelog ===
r-cran-tidyr (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:40:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dplyr (>= 0.8.2),
@@ -18,7 +18,8 @@
                r-cran-tibble (>= 2.1.1),
                r-cran-tidyselect (>= 1.1.0),
                r-cran-vctrs,
-               r-cran-lifecycle
+               r-cran-lifecycle,
+               r-cran-cpp11
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git

## r-cran-tidyr 1.2.0

=== DESCRIPTION ===
Package: tidyr
Title: Tidy Messy Data
Version: 1.2.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("Maximilian", "Girlich", role = "aut"),
    person("RStudio", role = "cph")
  )
Description: Tools to help to create tidy data, where each column is a
    variable, each row is an observation, and each cell contains a single
    value.  'tidyr' contains tools for changing the shape (pivoting) and
    hierarchy (nesting and 'unnesting') of a dataset, turning deeply
    nested lists into rectangular data frames ('rectangling'), and
    extracting values out of string columns. It also includes tools for
    working with missing values (both implicit and explicit).
License: MIT + file LICENSE
URL: https://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
BugReports: https://github.com/tidyverse/tidyr/issues
Depends: R (>= 3.1)
Imports: dplyr (>= 1.0.0), ellipsis (>= 0.1.0), glue, lifecycle,
        magrittr, purrr, rlang, tibble (>= 2.1.1), tidyselect (>=
        1.1.0), utils, vctrs (>= 0.3.7)
Suggests: covr, data.table, jsonlite, knitr, readr, repurrrsive (>=
        1.0.0), rmarkdown, testthat (>= 3.0.0)
LinkingTo: cpp11 (>= 0.4.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.2
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2022-01-27 19:03:06 UTC; davis
Author: Hadley Wickham [aut, cre],
  Maximilian Girlich [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-02-01 08:40:02 UTC

=== debian/changelog ===
r-cran-tidyr (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 16:19:52 +0100

r-cran-tidyr (1.1.4-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:33:59 +0200

r-cran-tidyr (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 13:40:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dplyr (>= 0.8.2),
+               r-cran-dplyr (>= 1.0.0),
                r-cran-ellipsis,
                r-cran-glue,
+               r-cran-lifecycle,
                r-cran-magrittr,
                r-cran-purrr,
-               r-cran-rcpp,
                r-cran-rlang,
-               r-cran-stringi,
                r-cran-tibble (>= 2.1.1),
                r-cran-tidyselect (>= 1.1.0),
-               r-cran-vctrs,
-               r-cran-lifecycle,
-               r-cran-cpp11
-Standards-Version: 4.5.0
+               r-cran-vctrs (>= 0.3.7),
+               r-cran-cpp11 (>= 0.4.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
 Homepage: https://cran.r-project.org/package=tidyr

## r-cran-tidyr 1.3.0

=== DESCRIPTION ===
Package: tidyr
Title: Tidy Messy Data
Version: 1.3.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
    person("Maximilian", "Girlich", role = "aut"),
    person("Kevin", "Ushey", , "kevin@posit.co", role = "ctb"),
    person("Posit, PBC", role = c("cph", "fnd"))
  )
Description: Tools to help to create tidy data, where each column is a
    variable, each row is an observation, and each cell contains a single
    value.  'tidyr' contains tools for changing the shape (pivoting) and
    hierarchy (nesting and 'unnesting') of a dataset, turning deeply
    nested lists into rectangular data frames ('rectangling'), and
    extracting values out of string columns. It also includes tools for
    working with missing values (both implicit and explicit).
License: MIT + file LICENSE
URL: https://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
BugReports: https://github.com/tidyverse/tidyr/issues
Depends: R (>= 3.4.0)
Imports: cli (>= 3.4.1), dplyr (>= 1.0.10), glue, lifecycle (>= 1.0.3),
        magrittr, purrr (>= 1.0.1), rlang (>= 1.0.4), stringr (>=
        1.5.0), tibble (>= 2.1.1), tidyselect (>= 1.2.0), utils, vctrs
        (>= 0.5.2)
Suggests: covr, data.table, knitr, readr, repurrrsive (>= 1.1.0),
        rmarkdown, testthat (>= 3.0.0)
LinkingTo: cpp11 (>= 0.4.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2023-01-23 22:21:00 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Davis Vaughan [aut],
  Maximilian Girlich [aut],
  Kevin Ushey [ctb],
  Posit, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2023-01-24 16:00:02 UTC

=== debian/changelog ===
r-cran-tidyr (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 10:15:12 +0100

r-cran-tidyr (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * lintian-overrides for source-is-missing

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 13:33:06 +0200

=== debian/control ===
Source: r-cran-tidyr
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
Homepage: https://cran.r-project.org/package=tidyr
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.4.1),
               r-cran-dplyr (>= 1.0.10),
               r-cran-glue,
               r-cran-lifecycle (>= 1.0.3),
               r-cran-magrittr,
               r-cran-purrr (>= 1.0.1),
               r-cran-rlang (>= 1.0.4),
               r-cran-stringr (>= 1.5.0),
               r-cran-tibble (>= 2.1.1),
               r-cran-tidyselect (>= 1.2.0),
               r-cran-vctrs (>= 0.5.2),
               r-cran-cpp11 (>= 0.4.0)
Testsuite: autopkgtest-pkg-r

Package: r-cran-tidyr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package to easily tidy data
 GNU R package to easily tidy data with 'spread()' and 'gather()'
 functions.
 .
 An evolution of 'reshape2'. It's designed specifically for data tidying
 (not general reshaping or aggregating) and works well with 'dplyr' data
 pipelines.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/tidyr_([-0-9\.]*).tar.gz

## r-cran-tidyr 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: tidyr
 Title: Tidy Messy Data
-Version: 1.3.0
+Version: 1.3.1
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
     person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
     person("Maximilian", "Girlich", role = "aut"),
     person("Kevin", "Ushey", , "kevin@posit.co", role = "ctb"),
-    person("Posit, PBC", role = c("cph", "fnd"))
+    person("Posit Software, PBC", role = c("cph", "fnd"))
   )
 Description: Tools to help to create tidy data, where each column is a
     variable, each row is an observation, and each cell contains a single
@@ -18,9 +18,9 @@
 License: MIT + file LICENSE
 URL: https://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
 BugReports: https://github.com/tidyverse/tidyr/issues
-Depends: R (>= 3.4.0)
+Depends: R (>= 3.6)
 Imports: cli (>= 3.4.1), dplyr (>= 1.0.10), glue, lifecycle (>= 1.0.3),
-        magrittr, purrr (>= 1.0.1), rlang (>= 1.0.4), stringr (>=
+        magrittr, purrr (>= 1.0.1), rlang (>= 1.1.1), stringr (>=
         1.5.0), tibble (>= 2.1.1), tidyselect (>= 1.2.0), utils, vctrs
         (>= 0.5.2)
 Suggests: covr, data.table, knitr, readr, repurrrsive (>= 1.1.0),
@@ -31,15 +31,14 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
-SystemRequirements: C++11
+RoxygenNote: 7.3.0
 NeedsCompilation: yes
-Packaged: 2023-01-23 22:21:00 UTC; hadleywickham
+Packaged: 2024-01-23 14:27:23 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   Davis Vaughan [aut],
   Maximilian Girlich [aut],
   Kevin Ushey [ctb],
-  Posit, PBC [cph, fnd]
+  Posit Software, PBC [cph, fnd]
 Maintainer: Hadley Wickham <hadley@posit.co>
 Repository: CRAN
-Date/Publication: 2023-01-24 16:00:02 UTC
+Date/Publication: 2024-01-24 14:50:09 UTC

=== debian/changelog ===
r-cran-tidyr (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 20:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-cran-tidyr
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
-Homepage: https://cran.r-project.org/package=tidyr
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,13 +13,17 @@
                r-cran-lifecycle (>= 1.0.3),
                r-cran-magrittr,
                r-cran-purrr (>= 1.0.1),
-               r-cran-rlang (>= 1.0.4),
+               r-cran-rlang (>= 1.1.1),
                r-cran-stringr (>= 1.5.0),
-               r-cran-tibble (>= 2.1.1),
+               r-cran-tibble,
                r-cran-tidyselect (>= 1.2.0),
                r-cran-vctrs (>= 0.5.2),
                r-cran-cpp11 (>= 0.4.0)
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
+Homepage: https://cran.r-project.org/package=tidyr
+Rules-Requires-Root: no
 
 Package: r-cran-tidyr
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-data.table,
        r-cran-knitr,
        r-cran-readr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

## r-cran-tidyr 1.3.2

=== DESCRIPTION ===
Package: tidyr
Title: Tidy Messy Data
Version: 1.3.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
    person("Maximilian", "Girlich", role = "aut"),
    person("Kevin", "Ushey", , "kevin@posit.co", role = "ctb"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Tools to help to create tidy data, where each column is a
    variable, each row is an observation, and each cell contains a single
    value. 'tidyr' contains tools for changing the shape (pivoting) and
    hierarchy (nesting and 'unnesting') of a dataset, turning deeply
    nested lists into rectangular data frames ('rectangling'), and
    extracting values out of string columns. It also includes tools for
    working with missing values (both implicit and explicit).
License: MIT + file LICENSE
URL: https://tidyr.tidyverse.org, https://github.com/tidyverse/tidyr
BugReports: https://github.com/tidyverse/tidyr/issues
Depends: R (>= 4.1.0)
Imports: cli (>= 3.4.1), dplyr (>= 1.1.0), glue, lifecycle (>= 1.0.3),
        magrittr, purrr (>= 1.0.1), rlang (>= 1.1.1), stringr (>=
        1.5.0), tibble (>= 2.1.1), tidyselect (>= 1.2.1), utils, vctrs
        (>= 0.5.2)
Suggests: covr, data.table, knitr, readr, repurrrsive (>= 1.1.0),
        rmarkdown, testthat (>= 3.0.0)
LinkingTo: cpp11 (>= 0.4.0)
VignetteBuilder: knitr
Config/build/compilation-database: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2025-12-17 23:35:11 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Davis Vaughan [aut],
  Maximilian Girlich [aut],
  Kevin Ushey [ctb],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2025-12-19 09:20:02 UTC

=== debian/changelog ===
r-cran-tidyr (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 12:07:07 +0900

=== debian/control ===
Source: r-cran-tidyr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-dplyr (>= 1.1.0),
 r-cran-glue,
 r-cran-lifecycle,
 r-cran-magrittr,
 r-cran-purrr,
 r-cran-rlang (>= 1.1.1),
 r-cran-stringr,
 r-cran-tibble,
 r-cran-tidyselect (>= 1.2.1),
 r-cran-vctrs,
 r-cran-cpp11,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tidyr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tidyr.git
Homepage: https://cran.r-project.org/package=tidyr
Rules-Requires-Root: no

Package: r-cran-tidyr
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R package to easily tidy data
 GNU R package to easily tidy data with 'spread()' and 'gather()'
 functions.
 .
 An evolution of 'reshape2'. It's designed specifically for data tidying
 (not general reshaping or aggregating) and works well with 'dplyr' data
 pipelines.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-data.table,
 r-cran-knitr,
 r-cran-readr,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.0),
